Refund a payment

Authentication

Requires product-api-token (sent via the configured auth header as a JWT bearer token) headers.

Path parameters

  • paymentId (string): the payment identifier to refund

Request body

JSON payload matching RefundPaymentDto.

Required fields:

  • refundAmount (number, min 0.01)
  • Optional fields:
  • reason (string)

Response

201: Refund processed successfully.

Returned data includes:

  • refundId
  • paymentId
  • refundAmount
  • refundStatus : 'processing' | 'completed' | 'failed'
  • reason (string or null)
  • createdAt
  • refundedAmount
  • remainingRefundableAmount
  • isFullyRefunded

400: Bad request

401: Unauthorized

403: Forbidden

404: Not found

502: Refund declined by the card provider

503: Refund result could not be confirmed and requires manual reconciliation

500: Internal server error

Path Params
string
required
Body Params
number
required
≥ 0.01
string
Headers
string
required
Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json